#ifndef _EDIT_INTERFACE_H_
#define _EDIT_INTERFACE_H_

#include <QObject>
#include "common.h"

class ProcessRunner;


struct NetI { //moved from editinterface.cpp
    QByteArray address; //("192.168.2.15");
    QByteArray netmask; //("255.255.255.0");
    QByteArray gateway;
    QByteArray peerip; //("192.168.2.14");
    bool       dhcpValue;
};


class EditInterface : public QObject
{
    Q_OBJECT
public:

    enum tag_configtype
    {
        CONFIG_NONE = 0,
        CONFIG_USB  = 1,
        CONFIG_WLAN = 2,
        CONFIG_USBEDIT = 3
    }CONFIGTYPE;

    EditInterface(QObject *obj, ProcessRunner *runner);
    ~EditInterface();

    void read_config(NetI &neti);
    void updateUsbConfiguration(QString usbIpVal, QString usbNetmaskVal, QString peerIpVal, bool dhcpSelect,int configtypeValue =  CONFIG_NONE);

public slots:
    void configureQml();

signals:
    void finished(int);//this signal is emitted once the IP is available

private:

    ProcessRunner *m_runner;
    QString usbIp;
    QString usbNetmask;
    QString peerIp;
    bool dhcpSelectVal;
    int configtype;
};
#endif
