#ifndef _NET_INTERFACE_H_
#define _NET_INTERFACE_H_

#include <QObject>
#include "common.h"

class QString;

class ProcessRunner;

class NetInterfaces : public QObject
{
	Q_OBJECT

public:
        enum tag_configtype
        {
            CONFIG_NONE = 0,
            CONFIG_USB  = 1,
            CONFIG_WLAN = 2
        }CONFIGTYPE;

public:
        NetInterfaces(QObject *obj, ProcessRunner *runner);
        ~NetInterfaces();

	void addLine(const QString &name, const QString &ip,
		     const QString &netmask, const QString &flags);
        void setSelectedConfigType(int value);
        int selectedConfigType();

public slots:
	void dataAvailable(int exitCode);
	void updateInterfaces(int);

signals:
	void config_ifaces(void);
        void finished(QString &ip, QString &netmask);
        void finished_wlan(QString &ip, QString &netmask);
        void loadSdkConnectivityScreenFromEdit();

private:        
	ProcessRunner *m_runner;
        short int     m_selected_config;


};
#endif
