#include <QStringList>
#include <QDebug>
#include "sdk-connectivity-tool.h"
#include "passwd.h"
#include "processrunner.h"


Passwd::Passwd(QObject *obj)
{
    DIN;
    passwordReset = false;
    m_runner = new ProcessRunner;

    connect(m_runner, SIGNAL(finished(int)),this, SLOT(dataAvailable(int)));
    DOUT;
}

Passwd::~Passwd()
{
    DIN;
    //qDebug()<<"EditInterface::Destructor"<<__FILE__<<__LINE__;
    if(m_runner != 0)
    {
        delete m_runner;
        m_runner = 0;
    }
    DOUT;
}

void
Passwd::generate(void)
{
    DIN;
    NULLCHECK(m_runner);

    //qDebug() << "before generate passwd "  << __FILE__ << __LINE__;
    m_runner->start(QString(PASSWORD_SH), QStringList("add"));
    //qDebug() << "after generate passwd "  << __FILE__ << __LINE__;
    DOUT;
}

void
Passwd::reset(void)
{
    DIN;
    NULLCHECK(m_runner);
    //qDebug() << "before passwd reset"  << __FILE__ << __LINE__;
    passwordReset = true;
    m_runner->start(QString(PASSWORD_SH),QStringList("remove"));
    //qDebug() << "after passwd reset"  << __FILE__ << __LINE__;
    DOUT;
}

void
Passwd::dataAvailable(int exitCode)
{
    DIN;
    NULLCHECK(m_runner);

    //qDebug() << "before passwd data available"  << __FILE__ << __LINE__;

    QString error_str = "Password generation failed!";

    if (exitCode != 0) {

        if(false == passwordReset)
        {
            emit passwordAvailable(error_str);
        }
        else
        {
            passwordReset = false;
        }

    } else {
        if(false == passwordReset)
        {
            QList<QByteArray> out = m_runner->getStdout();

            if (!out.empty())
            {

                QString pswd = out.at(0).trimmed();
                emit passwordAvailable(pswd);

            }
        }
        else
        {
            passwordReset = false;
        }
    }
    DOUT;
}
