#ifndef PROCESSMANAGER_H
#define PROCESSMANAGER_H

#define LOG_REFRESH_RATE 250

#include <QtCore>
#include <QtDeclarative>
#include <QProcess>
#include <QTimer>
#include <QMutex>
#include "common.h"

class vncProcessManager : public QDeclarativeItem
{
    Q_OBJECT
    //Q_PROPERTY(QString bindIp READ bindIp WRITE setBindIp)
    Q_PROPERTY(QString logData READ logData NOTIFY logDataChanged)
    Q_PROPERTY(int procStatus READ procStatus NOTIFY procStatusChanged)
    Q_PROPERTY(QString errorStatus READ errorStatus NOTIFY errorStatusChanged)


private:
    QString m_ipaddr;
    QProcess m_process;
    QString m_logdata;
    QString m_errorstatus;

    int m_procstatus;
    QTimer* m_timer;
    QMutex m_mutex;


public:
    explicit vncProcessManager(QDeclarativeItem *parent = 0);
    ~vncProcessManager();

    void logData(const QString a_text) { m_logdata = a_text;}
    QString logData() const {return m_logdata;}

    void procStatus(const int a_status) { m_procstatus = a_status;}
    int procStatus() const {return m_procstatus;}

    void errorStatus(const QString a_text) { m_errorstatus = a_text;}
    QString errorStatus() const {return m_errorstatus;}

    void cleanAll();

signals:
    void logDataChanged();
    void procStatusChanged();
    void errorStatusChanged();

public slots:
    void start_exec(QString vncIp,QString passwd, bool viewOnly);
    void stop_exec();
    void slotReadyReadStandardOutput();
    void slotProcStateChanged(QProcess::ProcessState newState);
    void slotErrorStatusChanged(QProcess::ProcessError error);
    void slotProcFinished (int exitCode, QProcess::ExitStatus exitStatus);
    void slotAboutQuit();


    void timerTask();
};

#endif // PROCESSMANAGER_H
