import Qt 4.7
import com.nokia.meego 1.0

import "UIConstants.js" as UI

Page{
    id:connectionScreen
    orientationLock: PageOrientation.LockPortrait
    tools: navigationToolbar

    Component.onCompleted: {
       rootWindow.showToolBar = false;
       rootWindow.showStatusBar = true;
    }

    PageTitle {
        id: titleName
        anchors.top: parent.top
        width: parent.width
        text: "Select Connection"
    }

    Image {
        id: appIcon
        anchors.top: titleName.top
        anchors.right: titleName.right
        anchors.rightMargin: 10
        anchors.topMargin: 10
        height: titleName.height - 20
        width: height
        z: 20

        source: "image://theme/icon-l-sdk-connection"
        smooth: true
    }

    Column {
        id:buttonColumn
        anchors.top: titleName.bottom
        anchors.topMargin: UI.HEADER_DEFAULT_TOP_SPACING_PORTRAIT
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.bottom: parent.bottom

        width: parent.width
        spacing: 20
        ListView {
            id: listView
            height: 200
            width: parent.width
            model: ListModel {
                ListElement {
                    name: "USB"
                    icon: "image://theme/icon-m-common-usb"
                }
                ListElement {
                    name: "WLAN"
                    icon: "image://theme/icon-m-common-wlan"

                }
            } // model

            delegate:Item {
                id: listItem
                height: UI.LIST_ITEM_HEIGHT_DEFAULT
                width: parent.width
                anchors.margins: 20


                BorderImage {
                    id: background
                    anchors.fill: parent
                    visible: mouseArea.pressed
                    source: "image://theme/meegotouch-list-" + (theme.inverted ? "inverted-" : "") + "background-pressed-center"
                }

                Row {
                    anchors.fill: parent
                    anchors.leftMargin: 20
                     anchors.rightMargin: 20
                     spacing: 20

                     Image {
                         anchors.verticalCenter: parent.verticalCenter
                         height: parent.height - 20
                         width: height
                         source: icon
                         smooth: true
                     }
                    Column {

                        anchors.verticalCenter: parent.verticalCenter

                        Label {
                            id: mainText
                            text: name

                            platformStyle: LabelStyle {
                                fontFamily: UI.FONT_FAMILY
                                fontPixelSize: UI.FONT_LARGE

                            }
                            font.bold: true
                            color: "#FFFFFF"
                        }
                    }
                }

                Image {
                    source:  "image://theme/icon-m-common-drilldown-arrow" + (theme.inverted ? "-inverse" : "")
                    anchors.right: parent.right;
                    anchors.rightMargin: 20
                    anchors.verticalCenter: parent.verticalCenter
                }

                MouseArea {
                    id: mouseArea
                    anchors.fill: background
                    onClicked:{
                        if (name === "USB") {
                            rootWindow.connectionType = "USB";
                            myWindow.setUSBConfig();
                            //myWindow.getPassword();
                            pageStack.pop();
                            pageStack.push("qrc:/qml_files/LoadingScreen.qml")
                        } else if (name === "WLAN") {
                            rootWindow.connectionType = "WLAN";
                            myWindow.setWLANConfig();
                            myWindow.getWlanIp();
                            pageStack.pop();
                            pageStack.push("qrc:/qml_files/SdkConnectivityScreen.qml")
                        }

                    }
                }
            }





        } // listview

    }

}
