import Qt 4.7
import com.nokia.meego 1.0
import com.nokia.extras 1.0

import "UIConstants.js" as UI

PageStackWindow {
    id: rootWindow
    initialPage: ConnectionScreen { id: connectionScreen }

    property int   pageWidth  : (screen.displayWidth < screen.displayHeight ? screen.displayWidth  : screen.displayHeight)
    property int   pageHeight : (screen.displayWidth < screen.displayHeight ? screen.displayHeight : screen.displayWidth) - navigationToolbar.height


    property string connectionType: ""
    property string ipVal: "198.168.2.15"
    property string usbMaskVal: "255.255.255.0"
    property string hostIp: "198.162.2.14"
    property string ipValWlan: "0.0.0.0"
    property string wlanMaskVal: "255.255.255.0"
    property string passwordVal: "-"
    property bool dhcpSelect: false
    property bool userPassword: false

    /* Using in ModuleToLoadScreen Page*/
    property string usbStatusVal: "Not Connected"
    property string usbImageSource: ""

    /* Using in EditSettingsScreen Page*/
    property bool dhcpSelectStatus : true

    /*Common height Val*/
    property int commonHeight: 20

    /* To load SDK Connectivity Details screen from Loading screen*/
    property bool loadingToConnectivity: false

    /*To Load Edit screen from SDK Connectivity screen*/
    property bool loadingSdkToEdit : false

    /*To display user password as *** */
    property string userLabelPassword: ""

    /*For VNC switch status & VNC logs*/
    property bool vncSwitchStatus : false
    property bool previousVncStatus : false
    property string vncTempOutput: ""

    function usbConnected()
    {
        rootWindow.usbStatusVal = "Connected";
        rootWindow.usbImageSource = "Images/usb_ene.png";
    }
    function usbNotConnected()
    {
        rootWindow.usbStatusVal = "Not Connected";
        rootWindow.usbImageSource = "Images/usb_dis.png";
    }
    function getUsbIpFromQt(usbIp,usbMask)
    {
        rootWindow.ipVal = usbIp;
        rootWindow.usbMaskVal = usbMask;
    }
    function getPasswdFromQt(passwdVar)
    {
        rootWindow.passwordVal = passwdVar;
    }
    //WLAN
    function getWlanIpFromQt(wlanIp,wlanMask)
    {
        rootWindow.ipValWlan = wlanIp;
        rootWindow.wlanMaskVal = wlanMask;
    }
    //update ip,mask,peerip for edit screen
    function updateDetailsToEdit(ipAdd,netmask,peerip,dhcpSelectVal)
    {
        rootWindow.ipVal = ipAdd;
        rootWindow.usbMaskVal = netmask;
        rootWindow.hostIp = peerip;
        rootWindow.dhcpSelect = dhcpSelectVal;
        if(rootWindow.dhcpSelect === true)
        {
            rootWindow.dhcpSelectStatus = true;
        }
        else
        {
            rootWindow.dhcpSelectStatus = false;
        }
    }

    function loadSdkConnectivityScreen()
    {
        rootWindow.loadingToConnectivity = true;
    }

    function loadSdkConnectivityScreenFromEdit()
    {
        rootWindow.loadingSdkToEdit = true;
    }

    function setUserPasswordFromQt(temp_password)
    {
        rootWindow.userLabelPassword = temp_password;
    }

    function maxScreen()
    {
        console.log("maxScren");
        if(vncSwitchStatus === true)
            pageStack.pop();
    }

    function minScreen()
    {
        console.log("minScren")
        if(vncSwitchStatus === true)
            pageStack.push("qrc:/qml_files/MinimizedScreen.qml");
    }

    InfoBanner {
         id: banner
         z:10000
         timerShowTime: 3000

         Connections {
             target: myWindow
             onVncStarted: {
                 banner.text = "VNC Server is now running @ " + myWindow.vncIp;
                 banner.show();
             }
             onVncStopped: {
                 banner.text = "VNC Server has been shutdown.";
                 banner.show();
             }
         }
     }

    ToolBarLayout {
        id: navigationToolbar
        visible: (pageStack.depth>1)
        ToolIcon { iconId: "toolbar-back";
            onClicked:{
                pageStack.pop();
                if (pageStack.depth===1) {
                    pageStack.push("qrc:/qml_files/ConnectionScreen.qml");
                }
            }
        }
    }

    /* For Black theme*/
    Component.onCompleted: {
        theme.inverted = true;
        rootWindow.showStatusBar = true;
    }

}
