
#include <QByteArray>
#include <QtDBus>
#include "sdk-connectivity-tool.h"
#include "processrunner.h"
#include "usbmanage.h"

UsbManage::UsbManage(QObject *obj)
{
    DIN;
    m_runner = new ProcessRunner;

    qDebug() << QDBusConnection::systemBus().baseService();

    QDBusConnection::systemBus().connect("", "", "com.meego.usb_moded",
                                         "sig_usb_state_ind", this,
                                         SLOT(usbStateChanged(QString)));
    DOUT;
}


UsbManage::~UsbManage()
{    
    DIN;
    if(m_runner != 0)
    {
        delete m_runner;
        m_runner = 0;
    }
    DOUT;
}

void
UsbManage::usbStateChanged(QString message)
{
    DIN;
    bool state = false;


    if (message == "USB disconnected") {

        state = false;
        emit usbStateChanged(state);
        DOUT;
        return;

    }else if(message == "USB connected")
    {
        state = true;
        emit usbStateChanged(state);
        DOUT;
        return;
    }

    if (message != "ovi_suite" && message != "mass_storage"
            && message != "windows_network") {
        DOUT;
        return;
    }

    emit done(0);
    DOUT;
}
