#!/bin/sh

# devrootsh wrapper -- for temporary use only !!!

PATH='/bin:/usr/bin:/sbin:/usr/sbin'; export PATH
unset IFS CDPATH ENV BASH_ENV

warn () { echo `basename $0`: "$@" >&2; }
die () { echo `basename $0`: "$@" >&2; exit 1; }

if /usr/sbin/rdc_cert_verify >/dev/null 2>&1
then
	AEGIS_FIXED_ORIGIN='com.nokia.maemo'
	export AEGIS_FIXED_ORIGIN
fi

case $1 in
	# dpkg -i [--no-force-downgrade] pkgname...
	dpkg)	case $2 in -i)
			case $3 in --no-force-downgrade) x=$4 ;; *) x=$3 ;; esac
    			case $x in -*) ;; *)
		shift; exec /usr/bin/dpkg "$@"; exit ;; esac ;; esac ;;

	#rpm)	shift; exec /usr/bin/rpm "$@"; exit ;;

	# pkill -f [-9] dpkg
	pkill) case $2$3$4 in -fdpkg|-f-9dpkg)
		shift; exec /usr/bin/pkill $2 $3 $4; exit ;; esac ;;

	-*) die "'$1': command can not start with '-'" ;;
	chmod|*/chmod)	;;
	mkdir|*/mkdir)	;;
	lsof|*/lsof) ;;
	id|*/id) ;;
	*) warn "'$1': command not known -- executing with user permissions"
esac

exec /usr/bin/aegis-exec -u user "$@"
exit

for f
do	case $f in *' '*) die "arg '$f' contains whitespace!" ;; esac
done

# The busybox su (and devel-su) (unexpectly!) both reset wd.
cdir=`pwd`
# note: embedded pipelines (if any) no problem, as run as user.
exec su -p user -c "cd '$cdir' && exec $*"
